首页 > 代码库 > Revit 二次开发 自动选中对象
Revit 二次开发 自动选中对象
//获取选中对象 [TransactionAttribute(Autodesk.Revit.Attributes.TransactionMode.Manual)] public class setSelectEle : IExternalCommand { public Result Execute(ExternalCommandData commandData, ref string messages, ElementSet elements) { SetSelectionElement(commandData, elements); return Result.Succeeded; } public void SetSelectionElement(ExternalCommandData commandData, ElementSet elements) { UIApplication app = commandData.Application; Document doc = app.ActiveUIDocument.Document; //获取id为729401的Element ElementId el = new ElementId(729401);
Element e = doc.GetElement(el);
Selection sel = app.ActiveUIDocument.Selection;
Transaction trans = new Transaction(doc);
trans.Start("SetSelection");
//添加到当前选择集中
sel.Elements.Add(e);
trans.Commit();
}
}
声明:以上内容来自用户投稿及互联网公开渠道收集整理发布,本网站不拥有所有权,未作人工编辑处理,也不承担相关法律责任,若内容有误或涉及侵权可进行投诉: 投诉/举报 工作人员会在5个工作日内联系你,一经查实,本站将立刻删除涉嫌侵权内容。